Bug 11803 - Consistent use of $dbh in _koha_modify_item
Summary: Consistent use of $dbh in _koha_modify_item
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-20 18:47 UTC by Marcel de Rooy
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11803: Consistent use of $dbh in _koha_modify_item (1.14 KB, patch)
2014-02-20 18:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[Signed-off] Bug 11803: Consistent use of $dbh in _koha_modify_item (1.29 KB, patch)
2014-02-23 20:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11803: Consistent use of $dbh in _koha_modify_item (1.34 KB, patch)
2014-02-24 12:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2014-02-20 18:47:32 UTC

    
Comment 1 Marcel de Rooy 2014-02-20 18:51:08 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-02-23 20:51:37 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2014-02-24 07:29:44 UTC
(In reply to Marc Véron from comment #2)
> Signed-off-by: Marc Véron <veron@veron.ch>

Thanks, Marc!
Comment 4 Jonathan Druart 2014-02-24 12:09:30 UTC
Created attachment 25576 [details] [review]
Bug 11803: Consistent use of $dbh in _koha_modify_item

This is just some code cleanup, no behavior change expected.
Also replacing errstr with err in testing the results. (See DBI.)

Test plan:
Modify an item and save it.

Followed test plan. No problems found.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2014-02-25 14:57:43 UTC
Pushed to master.  Thanks, Marcel!
Comment 6 Fridolin Somers 2014-05-21 09:10:52 UTC
Pushed to 3.14.x, will be in 3.14.07
Comment 7 Kyle M Hall 2014-06-06 13:56:08 UTC
Pushed to 3.12.x will be in 3.12.13